/* This example, which is written in Groovy script, sends a request to the
 * following URI:
 *
 * http://api.stlouisfed.org/fred/series/vintagedates
 *
 * Note that the api key has been set for you.
 */

import com.coherentlogic.fred.client.core.domain.VintageDates
import com.coherentlogic.fred.client.core.domain.SortOrder
import static com.coherentlogic.fred.client.misc.utils.Utils.getDate

Date realtimeStart = getDate (2001, Calendar.JANUARY, 20)
Date realtimeEnd = getDate (2004, Calendar.MAY, 17)

return requestBuilder
    .setSeriesId("GNPCA")
    .setRealtimeStart(realtimeStart)
    .setRealtimeEnd(realtimeEnd)
    .setLimit(100)
    .setOffset(1)
    .setSortOrder(SortOrder.desc)
    .execute(VintageDates.class)